Package org.apache.synapse.commons.throttle.core

# Enum DistributedCounterException.Kind

java.lang.Object
java.lang.Enum<DistributedCounterException.Kind>
org.apache.synapse.commons.throttle.core.DistributedCounterException.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributedCounterException.Kind>`, `java.lang.constant.Constable`

Enclosing class:
  `DistributedCounterException`

public static enum DistributedCounterException.Kind extends Enum<DistributedCounterException.Kind>
Classifies the nature of the distributed-counter failure in infrastructure-neutral terms.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONNECTION_FAILURE`
  The remote host is unreachable, the connection was refused or timed out, or the socket was closed.
  `POOL_EXHAUSTED`
  The connection pool is exhausted; no resource became available within the configured wait limit.
  `SERVER_ERROR`
  The remote store rejected the command or returned a structurally unexpected response.
  `TRANSACTION_ABORT`
  An atomic transaction returned an unexpected result (null or insufficient responses).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DistributedCounterException.Kind`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DistributedCounterException.Kind[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONNECTION_FAILURE

    public static final DistributedCounterException.Kind CONNECTION_FAILURE
    The remote host is unreachable, the connection was refused or timed out, or the socket was closed.

  - ### POOL_EXHAUSTED

    public static final DistributedCounterException.Kind POOL_EXHAUSTED
    The connection pool is exhausted; no resource became available within the configured wait limit.

  - ### TRANSACTION_ABORT

    public static final DistributedCounterException.Kind TRANSACTION_ABORT
    An atomic transaction returned an unexpected result (null or insufficient responses).

  - ### SERVER_ERROR

    public static final DistributedCounterException.Kind SERVER_ERROR
    The remote store rejected the command or returned a structurally unexpected response.

- ## Method Details

  - ### values

    public static DistributedCounterException.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DistributedCounterException.Kind valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null